function newGroup = reorganizeGroups(group, groupPositionOffset)
%F. Plesinger,ISI of the CAS
% part of code for Physionet Challenge 2017


%%%%%%%%% peslovn kvli odstrannm skupinm
for p=1:length(group)
    groupIndex = group(p);
    group(p)=group(p)+groupPositionOffset(groupIndex);
end

tg = max(group);

%%%%%%%%% petdit
sortMatrix = zeros(2,tg);

sortMatrix(2,:) = 1:tg;
sortMatrix(1,:) = computeGroupCounts(group); 

[Y,I] = sort(sortMatrix(1,:));
sortMatrix = fliplr(sortMatrix(:,I));

newGroup = zeros(length(group),1);

for i=1:length(group)
    originalGroup = group(i);
    finder = sortMatrix(2,:)==originalGroup;
    [val columnIndex] = max(finder);
    newGroup(i)=columnIndex;
end


end

